"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SecretsManagerClient_1 = require("./SecretsManagerClient");
var CancelRotateSecretCommand_1 = require("./commands/CancelRotateSecretCommand");
var CreateSecretCommand_1 = require("./commands/CreateSecretCommand");
var DeleteResourcePolicyCommand_1 = require("./commands/DeleteResourcePolicyCommand");
var DeleteSecretCommand_1 = require("./commands/DeleteSecretCommand");
var DescribeSecretCommand_1 = require("./commands/DescribeSecretCommand");
var GetRandomPasswordCommand_1 = require("./commands/GetRandomPasswordCommand");
var GetResourcePolicyCommand_1 = require("./commands/GetResourcePolicyCommand");
var GetSecretValueCommand_1 = require("./commands/GetSecretValueCommand");
var ListSecretVersionIdsCommand_1 = require("./commands/ListSecretVersionIdsCommand");
var ListSecretsCommand_1 = require("./commands/ListSecretsCommand");
var PutResourcePolicyCommand_1 = require("./commands/PutResourcePolicyCommand");
var PutSecretValueCommand_1 = require("./commands/PutSecretValueCommand");
var RestoreSecretCommand_1 = require("./commands/RestoreSecretCommand");
var RotateSecretCommand_1 = require("./commands/RotateSecretCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateSecretCommand_1 = require("./commands/UpdateSecretCommand");
var UpdateSecretVersionStageCommand_1 = require("./commands/UpdateSecretVersionStageCommand");
var SecretsManager = /** @class */ (function (_super) {
    tslib_1.__extends(SecretsManager, _super);
    function SecretsManager() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SecretsManager.prototype.cancelRotateSecret = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelRotateSecretCommand_1.CancelRotateSecretCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.createSecret = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateSecretCommand_1.CreateSecretCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.deleteResourcePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteResourcePolicyCommand_1.DeleteResourcePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.deleteSecret = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteSecretCommand_1.DeleteSecretCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.describeSecret = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeSecretCommand_1.DescribeSecretCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.getRandomPassword = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetRandomPasswordCommand_1.GetRandomPasswordCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.getResourcePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetResourcePolicyCommand_1.GetResourcePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.getSecretValue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetSecretValueCommand_1.GetSecretValueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.listSecretVersionIds = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSecretVersionIdsCommand_1.ListSecretVersionIdsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.listSecrets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListSecretsCommand_1.ListSecretsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.putResourcePolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutResourcePolicyCommand_1.PutResourcePolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.putSecretValue = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutSecretValueCommand_1.PutSecretValueCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.restoreSecret = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreSecretCommand_1.RestoreSecretCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.rotateSecret = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RotateSecretCommand_1.RotateSecretCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.updateSecret = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateSecretCommand_1.UpdateSecretCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SecretsManager.prototype.updateSecretVersionStage = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateSecretVersionStageCommand_1.UpdateSecretVersionStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return SecretsManager;
}(SecretsManagerClient_1.SecretsManagerClient));
exports.SecretsManager = SecretsManager;
//# sourceMappingURL=SecretsManager.js.map