"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListSecrets_1 = require("../model/operations/ListSecrets");
var ListSecretsCommand = /** @class */ (function () {
    function ListSecretsCommand(input) {
        this.input = input;
        this.model = ListSecrets_1.ListSecrets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListSecretsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListSecretsCommand;
}());
exports.ListSecretsCommand = ListSecretsCommand;
//# sourceMappingURL=ListSecretsCommand.js.map