"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutSecretValue_1 = require("../model/operations/PutSecretValue");
var PutSecretValueCommand = /** @class */ (function () {
    function PutSecretValueCommand(input) {
        this.input = input;
        this.model = PutSecretValue_1.PutSecretValue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutSecretValueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutSecretValueCommand;
}());
exports.PutSecretValueCommand = PutSecretValueCommand;
//# sourceMappingURL=PutSecretValueCommand.js.map