"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetSecretValueInput_1 = require("../shapes/GetSecretValueInput");
var GetSecretValueOutput_1 = require("../shapes/GetSecretValueOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var DecryptionFailure_1 = require("../shapes/DecryptionFailure");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSecretValue = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSecretValue",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetSecretValueInput_1.GetSecretValueInput
    },
    output: {
        shape: GetSecretValueOutput_1.GetSecretValueOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: DecryptionFailure_1.DecryptionFailure
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=GetSecretValue.js.map