"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RotationRulesType_1 = require("./_RotationRulesType");
var _TagListType_1 = require("./_TagListType");
var _SecretVersionsToStagesMapType_1 = require("./_SecretVersionsToStagesMapType");
exports.DescribeSecretOutput = {
    type: "structure",
    required: [],
    members: {
        ARN: {
            shape: {
                type: "string",
                min: 20
            }
        },
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        RotationEnabled: {
            shape: {
                type: "boolean"
            }
        },
        RotationLambdaARN: {
            shape: {
                type: "string"
            }
        },
        RotationRules: {
            shape: _RotationRulesType_1._RotationRulesType
        },
        LastRotatedDate: {
            shape: {
                type: "timestamp"
            }
        },
        LastChangedDate: {
            shape: {
                type: "timestamp"
            }
        },
        LastAccessedDate: {
            shape: {
                type: "timestamp"
            }
        },
        DeletedDate: {
            shape: {
                type: "timestamp"
            }
        },
        Tags: {
            shape: _TagListType_1._TagListType
        },
        VersionIdsToStages: {
            shape: _SecretVersionsToStagesMapType_1._SecretVersionsToStagesMapType
        },
        OwningService: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=DescribeSecretOutput.js.map